Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#5 No relationships displayed

closed
Blake
5
2006-01-25
2005-12-15
Anonymous
No

I installed green from the (non-source) ZIP file.

I can create and view class diagrams but no
relationships appear. Also no relationship tools
appear in the palette?

I am using Eclipse 3.1.1; GEF 3.1.1; Windows XP Pro.

I also get the following errors in the Eclipse log:

Error 2005-12-15 14:21:36.544 Unable to find
feature.xml in directory:
c:\eclipse\features\edu.buffalo.cse.Green.relationship
.Dependency_2.5.0.jar

Error 2005-12-15 14:21:36.544 Unable to find
feature.xml in directory:
c:\eclipse\features\edu.buffalo.cse.Green.relationship
.Generalization_2.5.0.jar

Error 2005-12-15 14:21:36.544 Unable to find
feature.xml in directory:
c:\eclipse\features\edu.buffalo.cse.Green_2.5.0.jar

...

etc. For all the feature JARs?

Discussion

  • Chris Senior
    Chris Senior
    2005-12-15

    Logged In: YES
    user_id=273455

    I posted this ... didn't mean to do it anonymously :-)

     
  • Chris Senior
    Chris Senior
    2005-12-15

    Logged In: YES
    user_id=273455

    OK it works if I extract all JAR files (plugins and
    features) into a directory with same name.

    (e.g. I extract
    C:\eclipse\features\edu.buffalo.cse.Green.relationship.Gene
    ralization_2.5.0.jar into a directory
    C:\eclipse\features\edu.buffalo.cse.Green.relationship.Gene
    ralization_2.5.0\ )

     
  • Carl Alphonce
    Carl Alphonce
    2006-01-22

    Logged In: YES
    user_id=862234

    I have seen this happen from time to time, but not
    consistently. I will get Blake to look into this,
    as he put together the download jars. Either he
    or I will get back to you.

     
  • Carl Alphonce
    Carl Alphonce
    2006-01-22

    • assigned_to: nobody --> bcmartin
     
  • Blake
    Blake
    2006-01-25

    • status: open --> closed
     
  • Blake
    Blake
    2006-01-25

    Logged In: YES
    user_id=1231978

    It appears you've fixed your problem. The log gives an error
    that doesn't seem to be an issue; I checked the JAR files,
    and they contain the XML files.

    Green loads in the relationships as plugins. If any one of
    them fails to load, they tend to all crash and burn.